package com.example.db01;

import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class AlarmTime 
{

	public static final String TABLE_NAME = "alarmtime";
	public static final String COL_ID = "_id";
	public static final String COL_ALARMID = "alarm_id";
	public static final String COL_AT = "at";
	
	private long alarmId;
	private String at;
	private long id;

	public long getAlarmId() {
		return alarmId;
	}
	public void setAlarmId(long alarmId) {
		this.alarmId = alarmId;
	}
	public String getAt() {
		return at;
	}
	public void setAt(String at) {
		this.at = at;
	}
	
	public AlarmTime() {}
	
	public AlarmTime(long id) {
		this.id = id;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if ((obj == null) || (obj.getClass() != this.getClass()))
			return false;
		
		return id == ((AlarmTime)obj).id;
	}
 
	@Override
	public int hashCode() {
		return 1;
	}	

}
